<!DOCTYPE html>
<html>
    <body>
        <div onclick="alert('div block1')">
            Div block1
            <div onclick="alert('div block2')">
                Div block2
                <p onclick="alert('paragraph1')">
                    Paragrap1
                </p>
            </div>
        </div>
        <br>
        <div onclick="alert('div block1')">
            Div block1
            <p onclick="alert('paragraph1')">
                paragrap1
                <p onclick="alert('paragraph2')"><!--if we click on this alert in paragraph1 is not executed-->
                    Paragrap2
                </p>
            </p>
        </div>
        </br>
        <!--stopPropogation()-->
        <div onclick="alert('div block1')">
            Div block1
            <form onclick="event.stopPropagation()"><!--it stops bubbling for onclick event-->
                Form
                <p onclick="alert('paragraph2')">
                    Paragrap2
                </p>
            </form>
        </div>
        <div onclick="alert('div block1')">
            Div block1
            <form onclick="event.stopPropagation()" onmouseover="alert('mouseover')"><!--it stops bubbling for onclick event but onmouseover event executes-->
                Form
                <p onclick="alert('paragraph2')">
                    Paragrap2
                </p>
            </form>
        </div>
        <br>
    </body>
</html>